[PC-BSD Commits] r1159 - pbibuild/modules/pidgin/overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Mon Jan 14 11:55:11 PST 2008
Author: kris
Date: 2008-01-14 11:55:11 -0800 (Mon, 14 Jan 2008)
New Revision: 1159
Modified:
pbibuild/modules/pidgin/overlay-dir/PBI.SetupScript.sh
Log:
Fixed pidgin to not be restored by the ksmserverrc file, which doesn't
execute the wrapper script properly
Modified: pbibuild/modules/pidgin/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/pidgin/overlay-dir/PBI.SetupScript.sh 2008-01-14 19:52:44 UTC (rev 1158)
+++ pbibuild/modules/pidgin/overlay-dir/PBI.SetupScript.sh 2008-01-14 19:55:11 UTC (rev 1159)
@@ -45,4 +45,39 @@
cp /Programs/${PROGDIR}/locale/${i}/${LANGFILE} /usr/local/share/locale/${i}/LC_MESSAGES/${LANGFILE}
done
+# Make sure we add pidgin to the list of programs to exclude on startup via
+# ksmserver
+cd /home
+for i in `ls`
+do
+
+ if [ -e "${i}/.kde/share/config/ksmserverrc" ]
+ then
+
+ rm ${i}/.ksmserverrc.new
+ touch ${i}/.ksmserverrc.new
+ while read line
+ do
+ echo $line | grep "^excludeApps="
+ if [ "$?" = "0" ]
+ then
+ echo $line | grep "pidgin"
+ if [ "$?" = "0" ]
+ then
+ echo "$line" >> ${i}/.ksmserverrc.new
+ else
+ echo "$line,pidgin" >> ${i}/.ksmserverrc.new
+ fi
+ else
+ echo "$line" >> ${i}/.ksmserverrc.new
+ fi
+ done < ${i}/.kde/share/config/ksmserverrc
+
+ chown ${i}:${i} ${i}/.ksmserverrc.new
+ mv ${i}/.ksmserverrc.new ${i}/.kde/share/config/ksmserverrc
+ fi
+
+done
+
+
echo "LAUNCHCLOSE: /usr/local/bin/pidgin"
More information about the Commits
mailing list